CVE-2006-1998
CVSS2.1
发布时间 :2006-04-25 08:50:00
修订时间 :2011-03-07 21:34:46
NMCOES    

[原文]OpenTTD 0.4.7 and earlier allows local users to cause a denial of service (application exit) via a large invalid error number, which triggers an error.


[CNNVD]OpenTTD 拒绝服务漏洞 (CNNVD-200604-495)

        OpenTTD 0.4.7及早期版本允许本地用户借助于较大的无效错误编号造成拒绝服务(应用程序崩溃),这导致了一个错误。

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:openttd:openttd:0.3.7
cpe:/a:openttd:openttd:0.3.6
cpe:/a:openttd:openttd:0.1.4
cpe:/a:openttd:openttd:0.2.0
cpe:/a:openttd:openttd:0.2.1
cpe:/a:openttd:openttd:0.3.4
cpe:/a:openttd:openttd:0.1.3
cpe:/a:openttd:openttd:0.3.1
cpe:/a:openttd:openttd:0.4.0
cpe:/a:openttd:openttd:0.4.7
cpe:/a:openttd:openttd:0.3.5
cpe:/a:openttd:openttd:0.1.1
cpe:/a:openttd:openttd:0.3.2.1
cpe:/a:openttd:openttd:0.3.0
cpe:/a:openttd:openttd:0.4.5
cpe:/a:openttd:openttd:0.4.0.1
cpe:/a:openttd:openttd:0.4.6
cpe:/a:openttd:openttd:0.3.2
cpe:/a:openttd:openttd:0.1.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1998
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1998
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200604-495
(官方数据源) CNNVD

- 其它链接及资源

http://aluigi.altervista.org/adv/openttdx-adv.txt
(VENDOR_ADVISORY)  MISC  http://aluigi.altervista.org/adv/openttdx-adv.txt
http://www.vupen.com/english/advisories/2006/1480
(UNKNOWN)  VUPEN  ADV-2006-1480
http://secunia.com/advisories/19768
(VENDOR_ADVISORY)  SECUNIA  19768
http://xforce.iss.net/xforce/xfdb/26000
(UNKNOWN)  XF  openttd-command-packet-dos(26000)
http://www.securityfocus.com/bid/17661
(UNKNOWN)  BID  17661
http://www.securityfocus.com/archive/1/archive/1/431871/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060423 Denial of service bugs in OpenTTD 0.4.7
http://security.gentoo.org/glsa/glsa-200609-03.xml
(UNKNOWN)  GENTOO  GLSA-200609-03
http://secunia.com/advisories/21799
(UNKNOWN)  SECUNIA  21799

- 漏洞信息

OpenTTD 拒绝服务漏洞
低危 其他
2006-04-25 00:00:00 2006-04-26 00:00:00
远程  
        OpenTTD 0.4.7及早期版本允许本地用户借助于较大的无效错误编号造成拒绝服务(应用程序崩溃),这导致了一个错误。

- 公告与补丁

        

- 漏洞信息 (1709)

OpenTTD <= 0.4.7 (multiple vulnerabilities) Denial of Service Exploit (EDBID:1709)
multiple dos
2006-04-23 Verified
0 Luigi Auriemma
N/A [点击下载]
#######################################################################

                             Luigi Auriemma

Application:  OpenTTD
              http://www.openttd.org
Versions:     <= 0.4.7
Platforms:    Windows, *nix, *BSD, Mac and others
Bugs:         A] program termination through big error number
              B] broadcast clients disconnection in multiplayer menu
Exploitation: A] remote, versus server and client (in-game)
              B] remote, versus clients (broadcast)
Date:         23 Apr 2006
Author:       Luigi Auriemma
              e-mail: aluigi@autistici.org
              web:    http://aluigi.altervista.org


#######################################################################

Backup: http://www.exploit-db.com/sploits/04232006-openttdx.zip

		

- 漏洞信息

24875
OpenTTD Crafted Error Number Remote DoS
Remote / Network Access Denial of Service
Loss of Availability
Exploit Public

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-04-23 Unknow
2006-04-23 Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

OpenTTD Multiple Denial Of Service Vulnerabilities
Failure to Handle Exceptional Conditions 17661
Yes No
2006-04-24 12:00:00 2006-09-07 08:58:00
This issue was disclosed by Luigi Auriemma.

- 受影响的程序版本

OpenTTD OpenTTD 0.4.7
OpenTTD OpenTTD 0.4 .0.1
Gentoo Linux

- 漏洞讨论

OpenTTD is prone to multiple remote denial-of-service vulnerabilities.

An attacker can cause the application to crash or fail to function properly, thus denying service to legitimate users.

- 漏洞利用

These issues can be exploited through the server and client versions of the game.

The following exploit is available:

- 解决方案

The vendor has addressed this issue in the current SVN and nightly builds. Contact the vendor for further information on obtaining the appropriate updates.

Please see the referenced advisories for further information.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站